%define name chntpw
%define version 0.99.6
%define release %mkrel 1

Summary:        Change passwords in Windows SAM files
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group:          File tools
License:        GPLv2
URL:		http://pogostick.net/~pnh/ntpasswd/
Source0:	http://pogostick.net/~pnh/ntpasswd/%{name}-source-110511.tar.xz
Source1:        chntpw-chntpw.8
BuildRoot: 	%{_tmppath}/build-%{name}-%{version}
BuildRequires:  libgcrypt-devel

# Patch from Fedora
Patch1:         chntpw-110511-get_abs_path.patch
# Patch from Debian
Patch3:         chntpw-110511-port-to-gcrypt-debian.patch
# Patches from Jim Meyering to improve robustness of the code.
Patch4:         chntpw-110511-robustness.patch
Patch5:         chntpw-080526-correct-test-for-failing-open-syscall.patch
Patch6:         chntpw-110511-detect-failure-to-write-key.patch
Patch7:         chntpw-110511-reged-no-deref-null.patch

%description
This is a utility to reset the password of any user that has a valid
(local) account on your Windows NT/2k/XP/Vista etc system. You do not
need to know the old password to set a new one. It works offline, that
is, you have to shutdown your computer and boot off a floppydisk or CD
or another system. Will detect and offer to unlock locked or disabled
out user accounts! There is also a registry editor and other registry
utilities that works under linux/unix, and can be used for other things
than password editing.

NOTE: That changing the password with chntpw does not work. It can only
be used to blank (reset) a password. 
See http://pogostick.net/~pnh/ntpasswd/faq.html


%prep
%setup -q -n %{name}-110511
sed -e 's/\r$//' WinReg.txt > WinReg.txt.eol
touch -c -r WinReg.txt WinReg.txt.eol
mv WinReg.txt.eol WinReg.txt

%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
make CC="%{__cc}" EXTRA_CFLAGS="%{?optflags}" chntpw cpnt reged


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp chntpw $RPM_BUILD_ROOT%{_bindir}
cp cpnt   $RPM_BUILD_ROOT%{_bindir}
cp reged  $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8/
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc GPL.txt LGPL.txt README.txt regedit.txt WinReg.txt HISTORY.txt
%{_bindir}/chntpw
%{_bindir}/cpnt
%{_bindir}/reged
%{_mandir}/man8/%{name}.8*


%changelog
* Sat Nov 02 2013 TerryN <terryn94 at gmail.com> 0.99.6-1pclos2013
- Use sane version number (from HISTORY.txt)
- Add note about restrictions to description

* Wed Apr 11 2012 TerryN <terryn94 at gmail.com> 110511-1pclos2012
- Initial package 
